AM261x MCU+ SDK: APIs for MATHLIB

| AM261x MCU+ SDK 26.00.00 |

Functions | Macros
APIs for MATHLIB
APIs for SOC Specific Device Drivers

## Introduction

This module contains FastRTS APIs for optimized trignometric and math functions.

## Functions
float | FastRTS_cosf (const float theta)
| The Cosine Function. More...
float | FastRTS_sinf (const float theta)
| The Sine Function. More...
void | FastRTS_sincos (const float theta, float *retValues)
| The Sine/Cosine Function. More...
float | FastRTS_acosf (const float theta)
| The Arccosine Function. More...
float | FastRTS_asinf (const float theta)
| The Arcsine Function. More...
float | FastRTS_atanf (const float x)
| The Arctangent function. More...
float | FastRTS_atan2f (const float y, const float x)
| The Arctangent(y,x) function. More...
float | FastRTS_expf (const float x)
| The Exponent function. More...
float | FastRTS_logf (const float x)
| The Natural Logarithm function. More...
static RTS_TEXT_SECTION float | FastRTS_sqrtf (const float x)

## Macros
#define | RTS_TEXT_SECTION __attribute__((section(".trigText"))) __attribute__((always_inline)) inline
#define | RTS_DATA_SECTION __attribute__((aligned(8), section(".trigData")))

## Macro Definition Documentation

## ◆ RTS_TEXT_SECTION

#define RTS_TEXT_SECTION __attribute__((section(".trigText"))) __attribute__((always_inline)) inline

## ◆ RTS_DATA_SECTION

#define RTS_DATA_SECTION __attribute__((aligned(8), section(".trigData")))

## Function Documentation

## ◆ FastRTS_cosf()

float FastRTS_cosf | ( | const float | theta | ) |

The Cosine Function.

Parameters

  [in] | theta | - Angle in radians

Returns
  The cosine of the angle

## ◆ FastRTS_sinf()

float FastRTS_sinf | ( | const float | theta | ) |

The Sine Function.

Parameters

  [in] | theta | - Angle in radians

Returns
  The sine of the angle

## ◆ FastRTS_sincos()

void FastRTS_sincos | ( | const float | theta,
|  | float * | retValues
| ) |  |

The Sine/Cosine Function.

Parameters

  [in] | theta | - Angle in radians
  [in] | retValues | - pointer that stores return sine and cosine values

## ◆ FastRTS_acosf()

float FastRTS_acosf | ( | const float | theta | ) |

The Arccosine Function.

Parameters

  [in] | theta | - Angle in radians

Returns
  The cosine of the angle

## ◆ FastRTS_asinf()

float FastRTS_asinf | ( | const float | theta | ) |

The Arcsine Function.

Parameters

  [in] | theta | - Angle in radians

Returns
  The sine of the angle

## ◆ FastRTS_atanf()

float FastRTS_atanf | ( | const float | x | ) |

The Arctangent function.

Parameters

  [in] | x | the arc subtended by the angle theta

Returns
  theta , the angle subtended by the arc of length x

## ◆ FastRTS_atan2f()

float FastRTS_atan2f | ( | const float | y,
|  | const float | x
| ) |  |

The Arctangent(y,x) function.

Parameters

  [in] | y | - numerator of the ratio y/x which is the length of the arc subtended by the angle theta
  [in] | x | - denominator of the ratio y/x which is the length of the arc subtended by the angle theta

Returns
  theta , the angle subtended by the arc of length y/x

## ◆ FastRTS_expf()

float FastRTS_expf | ( | const float | x | ) |

The Exponent function.

Parameters

  [in] | x | - argument whose exponent is to be calculated

Note
  due to the allowable range of 32-bit float, the maximum exponent allowed is +/-88

Returns
  e^x , the exponent of the argument

## ◆ FastRTS_logf()

float FastRTS_logf | ( | const float | x | ) |

The Natural Logarithm function.

Parameters

  [in] | x | - argument whose logarithm is to be calculated

Returns
  log(x) , the natural logarithm of the argument

## ◆ FastRTS_sqrtf()

static RTS_TEXT_SECTION float FastRTS_sqrtf | ( | const float | x | ) |
| static